## python-a38 0.1.8

=== Makefile ===
ci-workaround:
	sudo sed -i 's/azure\.//' /etc/apt/sources.list
	sudo apt-get -o Acquire::Retries=5 update

install-os:
	sudo apt-get -o Acquire::Retries=5 install \
		openssl \
		wkhtmltopdf \
		eatmydata \
		python3-nose2

install-py:
	pip install -r requirements-lib.txt
	pip install -r requirements-devops.txt

test:
	sh test-coverage

install-package:
	pip install .

clean:
	rm --recursive --force \
		$(PWD)/build \
		$(PWD)/dist \
		$(PWD)/htmlcov \
		$(PWD)/a38.egg-info \
		$(PWD)/.coverage

lint:
	isort \
		--check \
		$(PWD)/a38 \
		$(PWD)/tests \
		setup.py
	flake8 \
		--ignore=E126,E203,E501,W503 \
		--max-line-length 120 \
		--indent-size 4 \
		--jobs=8 \
		$(PWD)/a38 \
		$(PWD)/tests \
		setup.py
	bandit \
		--recursive \
		--number=3 \
		-lll \
		-iii \
		$(PWD)/a38 \
		$(PWD)/tests \
		setup.py

lint-dev:
	isort \
		--atomic \
		$(PWD)/a38 \
		$(PWD)/tests \
		setup.py
	$(eval PIP_DEPS=$(shell awk '{printf("%s,",$$1)}' requirements-lib.txt | sed '$$s/,$$//'))
	autoflake \
		--imports=$(PIP_DEPS) \
		--recursive \
		--in-place \
		--remove-unused-variables \
		$(PWD)/a38 \
		$(PWD)/tests \
		setup.py

## python-a38 0.1.2

=== debian/changelog ===
python-a38 (0.1.2-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.0.

  [ Elena Grandi ]
  * Move openssl from recommends to depends.
  * Add Rules-Requires-Root: no

 -- Elena Grandi <valhalla@debian.org>  Fri, 27 Sep 2019 12:44:55 +0200

python-a38 (0.1.2-1) unstable; urgency=low

  * Initial release. (Closes: #923794)

 -- Elena Grandi <valhalla@debian.org>  Fri, 31 May 2019 13:44:55 +0200

=== debian/control ===
Source: python-a38
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Elena Grandi <valhalla@debian.org>,
 Elena Grandi <elena@truelite.it>,
 Enrico Zini <enrico@debian.org>,
Section: python
Priority: optional
Build-Depends:
 dh-python,
 python3-setuptools (>= 0.6b3),
 python3-all,
 debhelper-compat (= 12),
 help2man,
 openssl,
 python3-asn1crypto,
 python3-dateutil,
 python3-nose2,
 python3-tz,
Standards-Version: 4.4.0
Homepage: https://github.com/Truelite/python-a38/
Vcs-Git: https://salsa.debian.org/python-team/modules/python-a38.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-a38
Rules-Requires-Root: no

Package: python3-a38
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-asn1crypto,
 python3-dateutil,
 python3-tz,
 openssl,
Recommends:
 python3-lxml,
 python3-requests,
 python3-yapf,
 wkhtmltopdf,
Description: Library to generate Italian Fattura Elettronica
 This library implements a declarative data model similar to Django models, that
 is designed to describe, validate, serialize and parse Italian Fattura
 Elettronica data.
 .
 The library can generate various kinds of fatture that pass validation, and can
 parse all the example XML files distributed by fatturapa.gov.it

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=a38

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install: debian/a38tool.1
	dh_auto_install

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	nose2-3
endif

debian/a38tool.1:
	help2man \
	    -n 'Handle fattura elettronica files' \
	    --output=debian/a38tool.1 \
	    --no-info --no-discard-stderr \
	    --version-string=$(DEB_VERSION) \
	    --include debian/a38tool.man.include \
	    ./a38tool

## python-a38 0.1.3

=== debian/changelog ===
python-a38 (0.1.3-2) unstable; urgency=medium

  * Skip tests that fail because of an expired certificate. (Closes: #991648)

 -- Elena Grandi <valhalla@debian.org>  Fri, 30 Jul 2021 12:01:58 +0200

python-a38 (0.1.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Elena Grandi ]
  * New upstream release.
  * Bump debhelper-compat to 12.
  * Bump Standards-Version to 4.5.1 (no changes needed).
  * Verify signatures on upstream tarball.

 -- Elena Grandi <valhalla@debian.org>  Fri, 18 Dec 2020 11:44:31 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: python-a38
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Elena Grandi <valhalla@debian.org>,
  Elena Grandi <elena@truelite.it>,
@@ -10,17 +10,17 @@
  dh-python,
  python3-setuptools (>= 0.6b3),
  python3-all,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  help2man,
  openssl,
  python3-asn1crypto,
  python3-dateutil,
  python3-nose2,
  python3-tz,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/Truelite/python-a38/
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-a38.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-a38
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-a38.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-a38
 Rules-Requires-Root: no
 
 Package: python3-a38

=== debian/tests/control ===
Tests: unittest
Depends: @, python3-nose2

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ https://pypi.python.org/packages/source/a/a38/a38-(.+)\.tar\.gz debian uupdate

## python-a38 0.1.4

=== debian/changelog ===
python-a38 (0.1.4-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on python3-setuptools.

  [ Elena Grandi ]
  * New upstream release.
  * Backport commit:7364f07b from upstream to fix a bug when python3-yapf
    wasn't installed.
  * Bump Standards-Version to 4.6.0.1 (no changes needed).

 -- Elena Grandi <valhalla@debian.org>  Wed, 23 Mar 2022 11:43:20 +0100

## python-a38 0.1.5

=== debian/changelog ===
python-a38 (0.1.5-1) unstable; urgency=medium

  * New upstream release.
  * Removed 0002-Attempt-to-fix-the-code-path-where-yapf-is-not-insta.patch,
    included upstream.
  * Add missing dependencies to the autopkg tests. (Closes: 1008757)

 -- Elena Grandi <valhalla@debian.org>  Fri, 01 Apr 2022 14:38:41 +0200

=== debian/control ===
--- 
+++ 
@@ -8,16 +8,18 @@
 Priority: optional
 Build-Depends:
  dh-python,
- python3-setuptools (>= 0.6b3),
+ python3-setuptools,
  python3-all,
  debhelper-compat (= 13),
  help2man,
  openssl,
  python3-asn1crypto,
  python3-dateutil,
+ python3-defusedxml,
  python3-nose2,
+ python3-ruamel.yaml,
  python3-tz,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0.1
 Homepage: https://github.com/Truelite/python-a38/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-a38.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-a38
@@ -30,11 +32,14 @@
  ${python3:Depends},
  python3-asn1crypto,
  python3-dateutil,
+ python3-defusedxml,
  python3-tz,
  openssl,
+ sensible-utils,
 Recommends:
  python3-lxml,
  python3-requests,
+ python3-ruamel.yaml,
  python3-yapf,
  wkhtmltopdf,
 Description: Library to generate Italian Fattura Elettronica

=== debian/tests/control ===
Tests: unittest
Depends:
 @,
 openssl,
 python3-asn1crypto,
 python3-dateutil,
 python3-defusedxml,
 python3-nose2,
 python3-ruamel.yaml,
 python3-tz,

## python-a38 0.1.6

=== debian/changelog ===
python-a38 (0.1.6-1) unstable; urgency=medium

  * New upstream release.
  * Removed 0001-Skip-tests-that-fail-because-of-an-expired-certifica.patch,
    properly managed upstream.
  * Bump Standards-Version to 4.6.2 (no changes needed).

 -- Elena Grandi <valhalla@debian.org>  Wed, 02 Aug 2023 11:44:33 +0200

## python-a38 0.1.8

=== debian/changelog ===
python-a38 (0.1.8-1) unstable; urgency=medium

  * New upstream release.
  * Run tests on all Python versions.

 -- Elena Grandi <valhalla@debian.org>  Wed, 10 Jan 2024 14:56:45 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  python3-nose2,
  python3-ruamel.yaml,
  python3-tz,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/Truelite/python-a38/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-a38.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-a38

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,9 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	nose2-3
+	set -ex; for py in `py3versions --supported 2>/dev/null`; do \
+	    $${py} -m nose2 ; \
+	done
 endif
 
 debian/a38tool.1:

=== debian/tests/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Depends:
  @,
  openssl,
+ python3-all,
  python3-asn1crypto,
  python3-dateutil,
  python3-defusedxml,

=== debian/watch ===
version=4
https://pypi.python.org/packages/source/a/a38/a38-(.+)\.tar\.gz debian uupdate
